petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSetDM

Sets the DM that may be used by some preconditioners

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetDM(TS ts,DM dm)

Logically Collective on TS and DM Many br

### Input Parameters

| ts | - the preconditioner context Many br
| dm | - the dm Many br

Many br

### See Also

TSGetDM(), SNESSetDM(), SNESGetDM()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex13.c.html
src/ts/examples/tutorials/ex14.c.html
src/ts/examples/tutorials/ex15.c.html
src/ts/examples/tutorials/ex17.c.html
src/ts/examples/tutorials/ex22.c.html
src/ts/examples/tutorials/ex25.c.html